﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using Telerik.Web.UI;
using xls = Telerik.Web.UI.ExportInfrastructure;

public partial class RadGridXLS : System.Web.UI.Page
{
    protected void Page_Init(object sender, EventArgs e)
    {
        RadGrid1.NeedDataSource += new Telerik.Web.UI.GridNeedDataSourceEventHandler(RadGrid1_NeedDataSource);
        RadGrid1.BiffExporting += new EventHandler<GridBiffExportingEventArgs>(RadGrid1_BiffExporting);
    }

    void RadGrid1_BiffExporting(object sender, GridBiffExportingEventArgs e)
    {
        var tbl =  e.ExportStructure.Tables[0];
        if (String.IsNullOrEmpty(DropDownList1.SelectedValue))
        {
            foreach (var cell in tbl.Columns[4].Cells)
            {
                cell.Format = "dd/MM/yy";
            }
        }
        tbl.Columns[4].Width = 50;
    }

    protected override void OnLoadComplete(EventArgs e)
    {
        base.OnLoadComplete(e);

        if (Page.Culture != DropDownList1.SelectedValue && !String.IsNullOrEmpty(DropDownList1.SelectedValue))
        {
            Page.Culture = Page.UICulture = DropDownList1.SelectedValue;
            RadGrid1.Rebind();
        }

        Label1.Text = Page.UICulture;
    }

    void RadGrid1_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
    {
        DataTable table = new DataTable();
        table.Columns.Add("ID", typeof(int));
        table.Columns.Add("Permission", typeof(bool));
        table.Columns.Add("Active", typeof(bool));
        table.Columns.Add("Date", typeof(DateTime));

        for (int i = 1; i < 12; i++)
        {
            table.Rows.Add(i, i % 2 == 0, i % 2 != 0, DateTime.Now);
        }

        RadGrid1.DataSource = table;
    }
}